[vdr-plugin-vdrmanager] 02/06: Added get-vcs-snapshot.sh

Tobias Grimm tiber-guest at moszumanska.debian.org
Fri Feb 13 23:52:17 UTC 2015


This is an automated email from the git hooks/post-receive script.

tiber-guest pushed a commit to branch master
in repository vdr-plugin-vdrmanager.

commit 5ae2d2d4717cf70ae27d14bc605ba76e9b0e60ec
Author: etobi <git at e-tobi.net>
Date:   Sat Feb 14 00:14:12 2015 +0100

    Added get-vcs-snapshot.sh
---
 debian/get-vcs-snapshot.sh | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
new file mode 100644
index 0000000..4af4c31
--- /dev/null
+++ b/debian/get-vcs-snapshot.sh
@@ -0,0 +1,20 @@
+echo Downloading latest from git repository...
+set -e
+
+DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | sed -e 's/^Version:\s*//' -e s/-[^-]*$// -e s/\+git.*//`
+VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
+VERSION_FULL="${VERSION_UPSTREAM}+git${VERSION_DATE}"
+
+git clone --depth 1 git://projects.vdr-developer.org/vdr-manager.git
+
+cd vdr-manager
+GIT_SHA=`git show --pretty=format:"%h" --quiet | head -1 || true`
+cd ..
+
+tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" -C vdr-manager vdr-vdrmanager
+
+rm -rf vdr-manager
+
+git-import-orig --pristine-tar "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz"
+dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-vdr-dvb/vdr-plugin-vdrmanager.git



More information about the pkg-vdr-dvb-changes mailing list